hpct-sync(1)

NAME
hpct-sync - HiPerConTracer Synchroniser

SYNOPSIS
hpct-sync [-h | - -help] [-v | - -verbose] [-q | - -quiet] [-N node_id | - -nodeid node_id] [-L local_directory | - -local local_directory] [-R remote_location | - -remote remote_location] [-C | - -collector -collector] [-K ssh_private_key_file | - -key ssh_private_key_file] [-H ssh_known_hosts_file | - -known-hosts ssh_known_hosts_file]

DESCRIPTION
hpct-sync is the HiPerConTracer synchroniser application.

ARGUMENTS
The following arguments may be provided:

-h | - -help
    Prints command help.

-q | - -quiet
    Turns off status output.

-v | - -verbose
    Turns on status output.

-N node_id | - -nodeid node_id
    Sets the node ID, a number from 1 to 9999.

-L local_directory | - -local local_directory
    Sets the local data directory. Default: /var/hipercontracer/data.

-R remote_location | - -remote remote_location
    Sets the remote data directory on the collector. Default: /var/hipercontracer/data.

-K ssh_private_key_file | - -key ssh_private_key_file
    Sets the SSH private key file used for authentication. Default: /var/hipercontracer/ssh/id_ed25519.

-H ssh_known_hosts_file | - -known-hosts ssh_known_hosts_file
    Sets the SSH known hosts file. Default: /var/hipercontracer/ssh/known_hosts.

EXAMPLES

sudo -u hipercontracer hpct-sync --nodeid 1000 --local /var/hipercontracer --remote /var/hipercontracer --collector sognsvann.example --key /var/hipercontracer/ssh/id_ed25519 --known-hosts /var/hipercontracer/ssh/known_hosts --verbose

sudo -u hipercontracer hpct-sync --nodeid 1 --local /var/hipercontracer --remote /var/hipercontracer --collector sognsvann.example --key /var/hipercontracer/ssh/id_ed25519 --known-hosts /var/hipercontracer/ssh/known_hosts --quiet

sudo -u hipercontracer hpct-sync --nodeid 2 --collector sognsvann.example

AUTHORS
Thomas Dreibholz
https://www.simula.no/people/dreibh
mailto://dreibh@simula.no